var html2json = require('html2json').html2json;
var json2html = require('html2json').json2html;


var input = `<p style="height:100">abc<b>1</b><span>2</span><b>3</b><span>4</span></p><p></p>`;
var json = html2json(input);
console.log(json);


var html = json2html(json);
console.log(html);

var vue = {
    node: 'root',
    child: []
};

function wxml2vue(json) {
    if (json.node === 'root') {
        console.log(json.child.length);
        for (var i = 0; i < json.child.length; i++) {
            var ele = json.child[i];
            var newElement = null;
            if (ele && ele.child) {
                console.log('==>', i, ele.tag);
                newElement = {
                    "node": ele.node,
                    "tag": ele.tag,
                    "attr": ele.attr,
                    "text": ele.text,
                    "child": []
                };
                eachElement(ele.child, newElement)
            } else {
                console.log('==>', i, ele);
                newElement = {
                    "node": ele.node,
                    "tag": ele.tag,
                    "attr": ele.attr,
                    "text": ele.text,
                };
            }

            vue.child[i] = newElement;
        }
    }
}

function eachElement(elements, newElement) {
    for (var i = 0; i < elements.length; i++) {
        var ele = elements[i];
        var newEle;
        if (ele && ele.child) {
            newEle = {
                "node": ele.node,
                "tag": ele.tag,
                "attr": ele.attr,
                "text": ele.text,
                "child": []
            };
            console.log('=====>>', i, ele.tag);
            eachElement(ele.child, newEle);
        } else {
            console.log('====>', i, ele);
            newEle = {
                "node": ele.node,
                "tag": ele.tag,
                "attr": ele.attr,
                "text": ele.text
            };
        }
        newElement.child[i] = newEle;
    }
}


wxml2vue(json);
console.log(vue);

var html = json2html(vue);
console.log(html);
