var Wxss = require('./wxss');
var path = require('path');
var fs = require('fs');
var debug = require('debug')('wevue');

module.exports = function(wxFolder, vueFolder, rootFolder, wevueFolder, program) {

    var server = program.server || process.env.API_SERVER || 'http://localhost:3000';

    var indexFile = path.join(wevueFolder, 'template', 'admin.html');

    var destIndexFile = path.join(vueFolder, 'admin.html');

    debug('indexFile', indexFile);
    debug('destIndexFile', destIndexFile);


    if (fs.existsSync(indexFile)) {
        debug('replace');
        var content = fs.readFileSync(indexFile, 'utf8');
        content = content.replace("{{APPCONFIG}}", `<script>var config={server:"${server}"}</script>`);
        var publicPath = process.env.publicpath || 'dist/';
        if (publicPath.substr(publicPath.length - 1) != '/') {
            publicPath = publicPath + '/';
        }
        content = content.replace("{{PUBLICPATH}}", publicPath);
        debug(content);
        fs.writeFileSync(destIndexFile, content);
    }


}
